%bcond_without  check

%global srcname ebranch
%global _description %{expand:
A tool for branching Fedora packages for EPEL. Longer description to follow.}

%global upstream_version 0.0.2.dev1

Name:           python-%{srcname}
Version:        0.0.2~dev1
Release:        1%{?dist}
Summary:        Tool for branching Fedora packages for EPEL
License:        GPLv2+
URL:            https://pagure.io/epel/ebranch
# Source0:        %%pypi_source
Source0:        %{srcname}-%{upstream_version}.tar.gz
BuildArch:      noarch

%description %{_description}


%package -n %{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
Recommends:     %{srcname}-repos = %{version}-%{release}
%if 0%{?fedora}
Recommends:     fedora-repos-rawhide
%endif

%description -n %{srcname} %{_description}


%package -n %{srcname}-repos
Summary:        CentOS Stream package repositories for ebranch

%description -n %{srcname}-repos %{_description}

This package contains CentOS Stream 8 and 9 repository definitions for use with ebranch.
They do not conflict with the actual files from centos-stream-repos and are disabled by default.


%prep
%autosetup -p 1 -n %{srcname}-%{upstream_version}


%generate_buildrequires
%pyproject_buildrequires -r requirements-test.txt


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}
mkdir -p %{buildroot}%{_sysconfdir}/yum.repos.d/
cp -p data/*-epel.repo %{buildroot}%{_sysconfdir}/yum.repos.d/
%if 0%{?rhel}
cp -p data/fedora-rawhide.repo %{buildroot}%{_sysconfdir}/yum.repos.d/
%endif


%if %{with check}
%check
%pytest
%endif


%files -n %{srcname} -f %{pyproject_files}
%license COPYING.md
%doc README.md
%{_bindir}/%{srcname}

%files -n %{srcname}-repos
%license COPYING.md
%dir %{_sysconfdir}/yum.repos.d
%{_sysconfdir}/yum.repos.d/*.repo


%changelog
* Thu Mar 17 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.0.2~dev1-1
- Pull in fedora-repos-rawhide by default (ship the repo definition on EPEL)
- Handle the case where nothing provides a dependency in the reference repo
- Memoize to prevent repeated lookup of the same dependencies
- converge-report: combines unfold and iterate and loops, for effective memoization

* Fri Feb 04 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.0.1-0.3
- iterate-report: sanity check, don't save new report if it's shorter

* Fri Feb 04 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.0.1-0.2
- iterate-report is now no-op if the report is unchanged
- Fix test location
- Ship repo definitions

* Fri Feb 04 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.0.1-0.1
- Initial pre-release, CentOS Dojo FOSDEM 2022
